Bug 25448 - Update German (de-DE) framework files
Summary: Update German (de-DE) framework files
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-10 12:15 UTC by Katrin Fischer
Modified: 2020-09-20 19:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04, 19.11.10


Attachments
Bug 25448: Update German (de-DE) framework files (11.01 KB, patch)
2020-05-23 23:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25448: Update German (de-DE) framework files (9.43 KB, patch)
2020-08-31 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25448: Update German (de-DE) framework files (9.49 KB, patch)
2020-09-01 14:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-10 12:15:02 UTC
The framework files still in SQL need an update to reflect changes in the po files.
Comment 1 Katrin Fischer 2020-05-23 23:43:31 UTC
Created attachment 105308 [details] [review]
Bug 25448: Update German (de-DE) framework files

The updated files have been auto-generated based on the
po files and downloaded from
https://translate.koha-community.org/files/

To test:
- Make sure German language is installed, see:
  https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client
- Run the web installer and choose de-DE
- Select all sample files
- Make sure they all install without any errors
Comment 2 Jonathan Druart 2020-08-26 10:00:49 UTC
 -- Create the ACQ framework based on the default framework, fields 952 only
-INSERT IGNORE INTO biblio_framework VALUES( 'ACQ', 'Erwerbung' );
+INSERT IGNORE INTO biblio_framework VALUES( 'ACQ', 'Acquisition framework' );

Is that correct?
Comment 3 Katrin Fischer 2020-08-31 22:15:11 UTC
Created attachment 109385 [details] [review]
Bug 25448: Update German (de-DE) framework files

The updated files have been auto-generated based on the
po files and downloaded from
https://translate.koha-community.org/files/

To test:
- Make sure German language is installed, see:
  https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client
- Run the web installer and choose de-DE
- Select all sample files
- Make sure they all install without any errors
Comment 4 Katrin Fischer 2020-08-31 22:15:56 UTC
Hi Jonathan, thx for catching this! It looks like an issue with how the files are generated - the string is translated in pootle, but in the files it's not. I have changed this one line manually.
Comment 5 Jonathan Druart 2020-09-01 14:13:11 UTC
Created attachment 109437 [details] [review]
Bug 25448: Update German (de-DE) framework files

The updated files have been auto-generated based on the
po files and downloaded from
https://translate.koha-community.org/files/

To test:
- Make sure German language is installed, see:
  https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client
- Run the web installer and choose de-DE
- Select all sample files
- Make sure they all install without any errors

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2020-09-01 14:14:10 UTC
Trivial, skipping QA.
Comment 7 Jonathan Druart 2020-09-02 13:36:02 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 21:14:06 UTC
enhancement will not be backported
Comment 9 Katrin Fischer 2020-09-05 08:38:35 UTC
(In reply to Lucas Gass from comment #8)
> enhancement will not be backported

Hi Lucas, can you please reconsider? This adds the missing fields and translations already present in the en frameworks in 20.05. 

It's a bit of a grey area with these installer fixes as I would not consider them a bug and it makes most sense to write them at the end of a release circle when things stop changing.
Comment 10 Lucas Gass 2020-09-14 21:03:16 UTC
backported to 20.05.x for 20.05.04
Comment 11 Aleisha Amohia 2020-09-15 11:28:23 UTC
backported to 19.11.x for 19.11.10
Comment 12 Victor Grousset/tuxayo 2020-09-20 19:18:03 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.